Name: fairlogger
Version: 1.6.2
Release: 2%{?dist}
Summary: Lightweight and fast C++ Logging Library

License: LGPLv3
%define github github.com
%define gh_org FairRootGroup
%define gh_repo FairLogger
%define gh_repo_url https://%{github}/%{gh_org}/%{gh_repo}
URL: %{gh_repo_url}
Source0: %{gh_repo_url}/archive/v%{version}.tar.gz

BuildRequires: cmake
BuildRequires: fmt-devel
BuildRequires: gcc-c++
BuildRequires: git
Requires: fmt

%description
FairLogger is a lightweight and fast C++ logging library.

%global debug_package %{nil}

%prep
%autosetup -S git -n %{gh_repo}-%{version}
git tag v%{version}

%build
cmake -S. -Bbuild \
      -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DCMAKE_BUILD_TYPE=Release \
      -DDISABLE_COLOR=ON \
      -DUSE_EXTERNAL_FMT=ON
cmake --build build %{?_smp_mflags}

%install
DESTDIR=%{buildroot} cmake --build build --target install

%files
%license LICENSE
%{_libdir}/libFairLogger.so*


%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: fmt-devel
Summary: Development files for fairlogger

%description devel
This package contains the header files and CMake package for developing against FairLogger.

%files devel
%license LICENSE
%{_includedir}/%{name}/*.h
%{_libdir}/cmake/%{gh_repo}-%{version}/%{gh_repo}*.cmake


%changelog
* Mon Jun  8 2020 Dennis Klein <d.klein@gsi.de> - 1.6.2-2
- Depend on lib package
* Mon Jun  8 2020 Dennis Klein <d.klein@gsi.de> - 1.6.2-1
- Package v1.6.2
